rte_spinlock_recursive_t(3)

NAME
rte_spinlock_recursive_t

SYNOPSIS

#include <rte_spinlock.h>

  Data Fields

rte_spinlock_t sl
volatile int user
volatile int count

Detailed Description

The rte_spinlock_recursive_t type.

Definition at line 198 of file rte_spinlock.h.

Field Documentation

  rte_spinlock_t sl
the actual spinlock

Definition at line 199 of file rte_spinlock.h.

  volatile int user
core id using lock, -1 for unused

Definition at line 200 of file rte_spinlock.h.

  volatile int count
count of time this lock has been called

Definition at line 201 of file rte_spinlock.h.

Author

Generated automatically by Doxygen for DPDK from the source code.